Package com.independentsoft.office.spreadsheet

# Class SheetView

java.lang.Object
com.independentsoft.office.spreadsheet.SheetView

public class SheetView extends Object
The Class SheetView.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SheetView()`
  Instantiates a new sheet view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SheetView`
  `clone()`
  `int`
  `getColorID()`
  Gets the color id.
  `int`
  `getIndex()`
  Gets the index.
  `SheetViewPane`
  `getPane()`
  Gets the pane.
  `Selection`
  `getSelection1()`
  Gets the selection1.
  `Selection`
  `getSelection2()`
  Gets the selection2.
  `Selection`
  `getSelection3()`
  Gets the selection3.
  `Selection`
  `getSelection4()`
  Gets the selection4.
  `int`
  `getZoomScale()`
  Gets the zoom scale.
  `int`
  `getZoomScaleNormalView()`
  Gets the zoom scale normal view.
  `int`
  `getZoomScalePageBreakPreview()`
  Gets the zoom scale page break preview.
  `int`
  `getZoomScalePageLayoutView()`
  Gets the zoom scale page layout view.
  `boolean`
  `isDefaultGridColor()`
  Checks if is default grid color.
  `boolean`
  `isLocked()`
  Checks if is locked.
  `boolean`
  `isRightToLeft()`
  Checks if is right to left.
  `boolean`
  `isShowFormulas()`
  Checks if is show formulas.
  `boolean`
  `isShowGridLines()`
  Checks if is show grid lines.
  `boolean`
  `isShowHeaders()`
  Checks if is show headers.
  `boolean`
  `isShowOutlineSymbols()`
  Checks if is show outline symbols.
  `boolean`
  `isShowRuler()`
  Checks if is show ruler.
  `boolean`
  `isShowWhiteSpace()`
  Checks if is show white space.
  `boolean`
  `isShowZeroValues()`
  Checks if is show zero values.
  `boolean`
  `isWorksheetTabSelected()`
  Checks if is worksheet tab selected.
  `void`
  `setColorID​(int colorID)`
  Sets the color id.
  `void`
  `setDefaultGridColor​(boolean defaultGridColor)`
  Sets the default grid color.
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setLocked​(boolean isLocked)`
  Sets the locked.
  `void`
  `setPane​(SheetViewPane pane)`
  Sets the pane.
  `void`
  `setRightToLeft​(boolean rightToLeft)`
  Sets the right to left.
  `void`
  `setSelection1​(Selection selection1)`
  Sets the selection1.
  `void`
  `setSelection2​(Selection selection2)`
  Sets the selection2.
  `void`
  `setSelection3​(Selection selection3)`
  Sets the selection3.
  `void`
  `setSelection4​(Selection selection4)`
  Sets the selection4.
  `void`
  `setShowFormulas​(boolean showFormulas)`
  Sets the show formulas.
  `void`
  `setShowGridLines​(boolean showGridLines)`
  Sets the show grid lines.
  `void`
  `setShowHeaders​(boolean showHeaders)`
  Sets the show headers.
  `void`
  `setShowOutlineSymbols​(boolean showOutlineSymbols)`
  Sets the show outline symbols.
  `void`
  `setShowRuler​(boolean showRuler)`
  Sets the show ruler.
  `void`
  `setShowWhiteSpace​(boolean showWhiteSpace)`
  Sets the show white space.
  `void`
  `setShowZeroValues​(boolean showZeroValues)`
  Sets the show zero values.
  `void`
  `setWorksheetTabSelected​(boolean isWorksheetTabSelected)`
  Sets the worksheet tab selected.
  `void`
  `setZoomScale​(int zoomScale)`
  Sets the zoom scale.
  `void`
  `setZoomScaleNormalView​(int zoomScaleNormalView)`
  Sets the zoom scale normal view.
  `void`
  `setZoomScalePageBreakPreview​(int zoomScalePageBreakPreview)`
  Sets the zoom scale page break preview.
  `void`
  `setZoomScalePageLayoutView​(int zoomScalePageLayoutView)`
  Sets the zoom scale page layout view.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SheetView

    public SheetView()
    Instantiates a new sheet view.

- ## Method Details

  - ### clone

    public SheetView clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPane

    public SheetViewPane getPane()
    Gets the pane.
    Returns:
      the pane

  - ### setPane

    public void setPane​(SheetViewPane pane)
    Sets the pane.
    Parameters:
      `pane` - the new pane

  - ### getSelection1

    public Selection getSelection1()
    Gets the selection1.
    Returns:
      the selection1

  - ### setSelection1

    public void setSelection1​(Selection selection1)
    Sets the selection1.
    Parameters:
      `selection1` - the new selection1

  - ### getSelection2

    public Selection getSelection2()
    Gets the selection2.
    Returns:
      the selection2

  - ### setSelection2

    public void setSelection2​(Selection selection2)
    Sets the selection2.
    Parameters:
      `selection2` - the new selection2

  - ### getSelection3

    public Selection getSelection3()
    Gets the selection3.
    Returns:
      the selection3

  - ### setSelection3

    public void setSelection3​(Selection selection3)
    Sets the selection3.
    Parameters:
      `selection3` - the new selection3

  - ### getSelection4

    public Selection getSelection4()
    Gets the selection4.
    Returns:
      the selection4

  - ### setSelection4

    public void setSelection4​(Selection selection4)
    Sets the selection4.
    Parameters:
      `selection4` - the new selection4

  - ### getColorID

    public int getColorID()
    Gets the color id.
    Returns:
      the color id

  - ### setColorID

    public void setColorID​(int colorID)
    Sets the color id.
    Parameters:
      `colorID` - the new color id

  - ### isDefaultGridColor

    public boolean isDefaultGridColor()
    Checks if is default grid color.
    Returns:
      true, if is default grid color

  - ### setDefaultGridColor

    public void setDefaultGridColor​(boolean defaultGridColor)
    Sets the default grid color.
    Parameters:
      `defaultGridColor` - the new default grid color

  - ### isRightToLeft

    public boolean isRightToLeft()
    Checks if is right to left.
    Returns:
      true, if is right to left

  - ### setRightToLeft

    public void setRightToLeft​(boolean rightToLeft)
    Sets the right to left.
    Parameters:
      `rightToLeft` - the new right to left

  - ### isShowFormulas

    public boolean isShowFormulas()
    Checks if is show formulas.
    Returns:
      true, if is show formulas

  - ### setShowFormulas

    public void setShowFormulas​(boolean showFormulas)
    Sets the show formulas.
    Parameters:
      `showFormulas` - the new show formulas

  - ### isShowGridLines

    public boolean isShowGridLines()
    Checks if is show grid lines.
    Returns:
      true, if is show grid lines

  - ### setShowGridLines

    public void setShowGridLines​(boolean showGridLines)
    Sets the show grid lines.
    Parameters:
      `showGridLines` - the new show grid lines

  - ### isShowOutlineSymbols

    public boolean isShowOutlineSymbols()
    Checks if is show outline symbols.
    Returns:
      true, if is show outline symbols

  - ### setShowOutlineSymbols

    public void setShowOutlineSymbols​(boolean showOutlineSymbols)
    Sets the show outline symbols.
    Parameters:
      `showOutlineSymbols` - the new show outline symbols

  - ### isShowHeaders

    public boolean isShowHeaders()
    Checks if is show headers.
    Returns:
      true, if is show headers

  - ### setShowHeaders

    public void setShowHeaders​(boolean showHeaders)
    Sets the show headers.
    Parameters:
      `showHeaders` - the new show headers

  - ### isShowRuler

    public boolean isShowRuler()
    Checks if is show ruler.
    Returns:
      true, if is show ruler

  - ### setShowRuler

    public void setShowRuler​(boolean showRuler)
    Sets the show ruler.
    Parameters:
      `showRuler` - the new show ruler

  - ### isShowWhiteSpace

    public boolean isShowWhiteSpace()
    Checks if is show white space.
    Returns:
      true, if is show white space

  - ### setShowWhiteSpace

    public void setShowWhiteSpace​(boolean showWhiteSpace)
    Sets the show white space.
    Parameters:
      `showWhiteSpace` - the new show white space

  - ### isShowZeroValues

    public boolean isShowZeroValues()
    Checks if is show zero values.
    Returns:
      true, if is show zero values

  - ### setShowZeroValues

    public void setShowZeroValues​(boolean showZeroValues)
    Sets the show zero values.
    Parameters:
      `showZeroValues` - the new show zero values

  - ### isWorksheetTabSelected

    public boolean isWorksheetTabSelected()
    Checks if is worksheet tab selected.
    Returns:
      true, if is worksheet tab selected

  - ### setWorksheetTabSelected

    public void setWorksheetTabSelected​(boolean isWorksheetTabSelected)
    Sets the worksheet tab selected.
    Parameters:
      `isWorksheetTabSelected` - the new worksheet tab selected

  - ### isLocked

    public boolean isLocked()
    Checks if is locked.
    Returns:
      true, if is locked

  - ### setLocked

    public void setLocked​(boolean isLocked)
    Sets the locked.
    Parameters:
      `isLocked` - the new locked

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getZoomScale

    public int getZoomScale()
    Gets the zoom scale.
    Returns:
      the zoom scale

  - ### setZoomScale

    public void setZoomScale​(int zoomScale)
    Sets the zoom scale.
    Parameters:
      `zoomScale` - the new zoom scale

  - ### getZoomScaleNormalView

    public int getZoomScaleNormalView()
    Gets the zoom scale normal view.
    Returns:
      the zoom scale normal view

  - ### setZoomScaleNormalView

    public void setZoomScaleNormalView​(int zoomScaleNormalView)
    Sets the zoom scale normal view.
    Parameters:
      `zoomScaleNormalView` - the new zoom scale normal view

  - ### getZoomScalePageLayoutView

    public int getZoomScalePageLayoutView()
    Gets the zoom scale page layout view.
    Returns:
      the zoom scale page layout view

  - ### setZoomScalePageLayoutView

    public void setZoomScalePageLayoutView​(int zoomScalePageLayoutView)
    Sets the zoom scale page layout view.
    Parameters:
      `zoomScalePageLayoutView` - the new zoom scale page layout view

  - ### getZoomScalePageBreakPreview

    public int getZoomScalePageBreakPreview()
    Gets the zoom scale page break preview.
    Returns:
      the zoom scale page break preview

  - ### setZoomScalePageBreakPreview

    public void setZoomScalePageBreakPreview​(int zoomScalePageBreakPreview)
    Sets the zoom scale page break preview.
    Parameters:
      `zoomScalePageBreakPreview` - the new zoom scale page break preview